Get Patch Insights Data

Use this API to get a QID remediation plan. You can fetch the patch insights data based on the "assetid" and "qid" combinations you enter. With this data, you can get details about the patches that can be used to remediate the QIDs you entered.

POST/pm/v1/remediation/insights

Input ParametersInput Parameters

Parameter

Mandatory/Optional

Data Type

Description

assetid

Mandatory

intiger

Enter the target asset ID.

qid

Mandatory

intiger

Enter the qid that needs to be remediated for the assetid that you entered.

Sample - Get Patch DetailsSample - Get Patch Details

API request

curl -X 'POST' \
  'https://gateway.p04.eng.sjc01.qualys.com/pm/v1/remediation/insights' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <JWT_Token>
  -H 'Content-Type: application/json' \
  -d '[
  {
    "assetId": 62101603,
    "qid": 372667
  }
]'

Response (Example for the Linux "assetid’ and ’qid’ combination that you entered)

[
  {
    "qid": 372667,
    "qidTitle": "KeePass Man-In-The -Middle Vulnerability",
    "assetId": 62101603,
    "assetUUID": "a841b4fb-ab57-4f11-a462-1976cc64c286",
    "assetName": "Win11-23H2-Path-1",
    "assetPlatform": "Windows",
    "assetOperatingSystem": "Windows Server 2012 R2 Standard 64 bit Edition",
    "assetLicenseStatus": "Full",
    "statusMessage": "The provided Asset is fully licensed. Full information is available for the applicable patches.",
    "patches": [
      {
        "qualysPatchId": "18792193-a0ff-33d2-8c0c-b9ffa67ad27e",
        "patchTitle": "KeePass 2.61",
        "category": "Non-Security Patches",
        "vendorSeverity": "None",
        "bulletin": "KEEP-260304",
        "kb": "QKPP261EXE",
        "advisory": null,
        "notification": null,
        "associatedQIDs": [
          "372667"
        ],
        "cve": [],
        "packages": null,
        "downloadUrls": [
          "https://sourceforge.net/projects/keepass/files/KeePass 2.x/2.61/KeePass-2.61-Setup.exe"
        ],
        "downloadMethod": "AcquireFromVendor",
        "isCustomizedDownloadUrl": true
      }
    ]
  }
]